package com.heyu.api.data.entity.operation;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*模式列表（大场景），运行场景列表
* @author quyixiao
* @since 2025-03-04
*/

@Data
@TableName("operatin_mode")
public class OperatinModeEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.operation.OperatinModeEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                                     // 
    public final static String is_delete = CLASS_NAME + "is_delete";                        // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";                    // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";                    // 修改时间
    public final static String name_ = CLASS_NAME + "name";                                 // 模式名称
    public final static String status_ = CLASS_NAME + "status";                             // 状态 0关闭 1开启
    public final static String remark_ = CLASS_NAME + "remark";                             // 备注，说明，描述
    public final static String operation_user_id = CLASS_NAME + "operation_user_id";        // 操作人id
    public final static String operation_user_name = CLASS_NAME + "operation_user_name";    // 操作人用户名称
    public final static String scene_count = CLASS_NAME + "scene_count";                    // 包含场景个数
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //模式名称
    private String name;
    //状态 0关闭 1开启
    private Integer status;
    //备注，说明，描述
    private String remark;
    //操作人id
    private Long operationUserId;
    //操作人用户名称
    private String operationUserName;
    //包含场景个数
    private Integer sceneCount;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 模式名称 
     * @return
     */
    public String getName() {
        return name;
    }
    /**
     * 模式名称 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 状态 0关闭 1开启 
     * @return
     */
    public Integer getStatus() {
        return status;
    }
    /**
     * 状态 0关闭 1开启 
     * @param status
     */
    public void setStatus(Integer status) {
        this.status = status;
    }

    /**
     * 备注，说明，描述 
     * @return
     */
    public String getRemark() {
        return remark;
    }
    /**
     * 备注，说明，描述 
     * @param remark
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 操作人id 
     * @return
     */
    public Long getOperationUserId() {
        return operationUserId;
    }
    /**
     * 操作人id 
     * @param operationUserId
     */
    public void setOperationUserId(Long operationUserId) {
        this.operationUserId = operationUserId;
    }

    /**
     * 操作人用户名称 
     * @return
     */
    public String getOperationUserName() {
        return operationUserName;
    }
    /**
     * 操作人用户名称 
     * @param operationUserName
     */
    public void setOperationUserName(String operationUserName) {
        this.operationUserName = operationUserName;
    }

    /**
     * 包含场景个数 
     * @return
     */
    public Integer getSceneCount() {
        return sceneCount;
    }
    /**
     * 包含场景个数 
     * @param sceneCount
     */
    public void setSceneCount(Integer sceneCount) {
        this.sceneCount = sceneCount;
    }

    @Override
    public String toString() {
        return "OperatinModeEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",name=" + name +
                ",status=" + status +
                ",remark=" + remark +
                ",operationUserId=" + operationUserId +
                ",operationUserName=" + operationUserName +
                ",sceneCount=" + sceneCount +
                "}";
    }
}